import { OnChanges, OnInit } from "@angular/core";
import { BiName, BiNamesEnum } from "./generated";
import { ColorValueHex, IconsType } from "./types";
import * as i0 from "@angular/core";
export declare class BiComponent implements OnInit, OnChanges {
    name: BiName | BiNamesEnum;
    width: string;
    height: string;
    color?: ColorValueHex;
    clearDimensions: boolean;
    ariaLabel?: string;
    private elementRef;
    private renderer;
    readonly pickedIcons: IconsType;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    renderIcon(): void;
    private setSize;
    private getSizeText;
    private setFillColor;
    private getColorText;
    static ɵfac: i0.ɵɵFactoryDeclaration<BiComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BiComponent, "bi, *[bi]", never, { "name": { "alias": "name"; "required": true; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "color": { "alias": "color"; "required": false; }; "clearDimensions": { "alias": "clearDimensions"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_clearDimensions: unknown;
}
