import { Provider } from "@angular/core";
export declare enum IconFeatureKind {
    ICON_PICK = 0,
    WIDTH = 1,
    HEIGHT = 2,
    COLOR = 3
}
declare interface IconFeature<KindT extends IconFeatureKind> {
    kind: KindT;
    providers: Provider[];
}
export declare type IconPickFeature = IconFeature<IconFeatureKind.ICON_PICK>;
export declare type IconWidthFeature = IconFeature<IconFeatureKind.WIDTH>;
export declare type IconHeightFeature = IconFeature<IconFeatureKind.HEIGHT>;
export declare type IconColorFeature = IconFeature<IconFeatureKind.COLOR>;
export declare type IconFeatures = IconPickFeature | IconWidthFeature | IconHeightFeature | IconColorFeature;
export {};
