import { EnvironmentProviders, Provider } from "@angular/core";
import { IconColorFeature, IconFeatures, IconHeightFeature, IconPickFeature, IconWidthFeature } from "./icons.feature";
import { ColorValueHex, IconsType } from "./types";
export declare function provideBi(...features: IconFeatures[]): EnvironmentProviders;
export declare function provideIcons(icons: IconsType): Provider;
export declare function withIcons(icons: IconsType): IconPickFeature;
export declare function withWidth(width: string): IconWidthFeature;
export declare function withHeight(height: string): IconHeightFeature;
export declare function withColor(color: ColorValueHex): IconColorFeature;
